backend:
  name: github
  repo: nezumischeme/tmo
  branch: main
media_folder: statics
collections:
  - label: Posts
    name: posts
    description: List of posts
    folder: posts
    create: true
    fields:
      - label: Title
        name: title
        widget: string
      - label: Publish Date
        name: date
        widget: datetime
      - label: Featured Image
        name: thumbnail
        widget: image
      - label: Body
        name: body
        widget: markdown
  - label: People
    name: people
    description: List of people
    folder: _data/people
    extension: yml
    create: true
    fields:
      - label: Name
        name: name
        widget: string
      - label: Title
        name: title
        widget: string
  - label: Partners
    name: partners
    description: List of partners
    folder: _data/partners
    create: true
    extension: yml
    fields:
      - label: Name
        name: Name
        widget: string
      - label: Featured Image
        name: thumbnail
        widget: image
      - label: Description
        name: description
        widget: text
  - label: Projects
    name: projects
    description: List of projects
    extension: yml
    folder: _data/projects
    create: true
    fields:
      - label: Name
        name: name
        widget: string
      - label: Featured Image
        name: thumbnail
        widget: image
      - label: Description
        name: Description
        widget: markdown
  - label: Events
    name: events
    description: List of events
    folder: _data/projects
    extension: yml
    create: true
    fields:
      - label: Name
        name: Name
        widget: string
      - label: Date
        name: date
        widget: datetime
      - label: Featured Image
        name: thumbnail
        widget: image
      - label: Description
        name: Description
        widget: markdown
  - label: Pages
    name: pages
    files:
      - label: Index Page
        name: index
        file: _data/hero.yml
        fields:
          - label: Title
            name: title
            widget: string
          - label: Tagline
            name: tagline
            widget: string
          - label: Hero Image
            name: heroimg
            widget: image
  - label: Resources
    name: resources
    description: List of resources
    extension: yml
    folder: _data/resources
    create: true
    fields:
      - label: Name
        name: name
        widget: string
      - label: Description
        name: description
        widget: markdown
site_url: 'http://localhost/'
local_backend: true
